PHP Manual
Prev |  | Next

# parse_url

(PHP 3, PHP 4, PHP 5)

parse_url -- Parse a URL and return its components

## Description

array parse_url ( string url )

This function parses a URL and returns an associative array containing any of the various components of the URL that are present.

This function is not meant to validate the given URL, it only breaks it up into the above listed parts. Partial URLs are also accepted, parse_url() tries its best to parse them correctly.

## Parameters

url

  The URL to parse

## Return Values

On seriously malformed URLs, parse_url() may return `FALSE` and emit a `E_WARNING`. Otherwise an associative array is returned, whose components may be (at least one):

- `scheme` - e.g. http

- `host`

- `port`

- `user`

- `pass`

- `path`

- `query` - after the question mark ?

- `fragment` - after the hashmark #

## Examples

Example 1. A parse_url() example

`<?php $url = 'http://username:password@hostname/path?arg=value#anchor'; print_r(parse_url($url)); ?>`

The above example will output:

    Array
    (
        [scheme] => http
        [host] => hostname
        [user] => username
        [pass] => password
        [path] => /path
        [query] => arg=value
        [fragment] => anchor
    )

## Notes

> Note: This function doesn't work with relative URLs.

> Note: parse_url() is intended specifically for the purpose of parsing URLs and not URIs. However, to comply with PHP's backwards compatibility requirements it makes an exception for the file:// scheme where tripple slashes (file:///...) are allowed. For any other scheme this is invalid.

## See Also

pathinfo()
parse_str()
dirname()
basename()

Prev | Home | Next
http_build_query | Up | rawurldecode